/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.squareup.connect.models.AdditionalRecipientReceivableRefund;
import com.squareup.connect.models.Money;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.ArrayList;
import java.util.List;

/**
 * Represents a monetary distribution of part of a [Transaction](#type-transaction)&#39;s amount for Transactions which included additional recipients. The location of this receivable is that same as the one specified in the [AdditionalRecipient](#type-additionalrecipient).
 */
@ApiModel(description = "Represents a monetary distribution of part of a [Transaction](#type-transaction)'s amount for Transactions which included additional recipients. The location of this receivable is that same as the one specified in the [AdditionalRecipient](#type-additionalrecipient).")

public class AdditionalRecipientReceivable {
  @JsonProperty("id")
  private String id = null;

  @JsonProperty("transaction_id")
  private String transactionId = null;

  @JsonProperty("transaction_location_id")
  private String transactionLocationId = null;

  @JsonProperty("amount_money")
  private Money amountMoney = null;

  @JsonProperty("created_at")
  private String createdAt = null;

  @JsonProperty("refunds")
  private List<AdditionalRecipientReceivableRefund> refunds = new ArrayList<AdditionalRecipientReceivableRefund>();

  public AdditionalRecipientReceivable id(String id) {
    this.id = id;
    return this;
  }

   /**
   * The additional recipient receivable's unique ID, issued by Square payments servers.
   * @return id
  **/
  @ApiModelProperty(required = true, value = "The additional recipient receivable's unique ID, issued by Square payments servers.")
  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public AdditionalRecipientReceivable transactionId(String transactionId) {
    this.transactionId = transactionId;
    return this;
  }

   /**
   * The ID of the transaction that the additional recipient receivable was applied to.
   * @return transactionId
  **/
  @ApiModelProperty(required = true, value = "The ID of the transaction that the additional recipient receivable was applied to.")
  public String getTransactionId() {
    return transactionId;
  }

  public void setTransactionId(String transactionId) {
    this.transactionId = transactionId;
  }

  public AdditionalRecipientReceivable transactionLocationId(String transactionLocationId) {
    this.transactionLocationId = transactionLocationId;
    return this;
  }

   /**
   * The ID of the location that created the receivable. This is the location ID on the associated transaction.
   * @return transactionLocationId
  **/
  @ApiModelProperty(required = true, value = "The ID of the location that created the receivable. This is the location ID on the associated transaction.")
  public String getTransactionLocationId() {
    return transactionLocationId;
  }

  public void setTransactionLocationId(String transactionLocationId) {
    this.transactionLocationId = transactionLocationId;
  }

  public AdditionalRecipientReceivable amountMoney(Money amountMoney) {
    this.amountMoney = amountMoney;
    return this;
  }

   /**
   * The amount of the receivable. This will always be non-negative.
   * @return amountMoney
  **/
  @ApiModelProperty(required = true, value = "The amount of the receivable. This will always be non-negative.")
  public Money getAmountMoney() {
    return amountMoney;
  }

  public void setAmountMoney(Money amountMoney) {
    this.amountMoney = amountMoney;
  }

  public AdditionalRecipientReceivable createdAt(String createdAt) {
    this.createdAt = createdAt;
    return this;
  }

   /**
   * The time when the additional recipient receivable was created, in RFC 3339 format.
   * @return createdAt
  **/
  @ApiModelProperty(value = "The time when the additional recipient receivable was created, in RFC 3339 format.")
  public String getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(String createdAt) {
    this.createdAt = createdAt;
  }

  public AdditionalRecipientReceivable refunds(List<AdditionalRecipientReceivableRefund> refunds) {
    this.refunds = refunds;
    return this;
  }

  public AdditionalRecipientReceivable addRefundsItem(AdditionalRecipientReceivableRefund refundsItem) {
    this.refunds.add(refundsItem);
    return this;
  }

   /**
   * Any refunds of the receivable that have been applied.
   * @return refunds
  **/
  @ApiModelProperty(value = "Any refunds of the receivable that have been applied.")
  public List<AdditionalRecipientReceivableRefund> getRefunds() {
    return refunds;
  }

  public void setRefunds(List<AdditionalRecipientReceivableRefund> refunds) {
    this.refunds = refunds;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    AdditionalRecipientReceivable additionalRecipientReceivable = (AdditionalRecipientReceivable) o;
    return Objects.equals(this.id, additionalRecipientReceivable.id) &&
        Objects.equals(this.transactionId, additionalRecipientReceivable.transactionId) &&
        Objects.equals(this.transactionLocationId, additionalRecipientReceivable.transactionLocationId) &&
        Objects.equals(this.amountMoney, additionalRecipientReceivable.amountMoney) &&
        Objects.equals(this.createdAt, additionalRecipientReceivable.createdAt) &&
        Objects.equals(this.refunds, additionalRecipientReceivable.refunds);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, transactionId, transactionLocationId, amountMoney, createdAt, refunds);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class AdditionalRecipientReceivable {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    transactionId: ").append(toIndentedString(transactionId)).append("\n");
    sb.append("    transactionLocationId: ").append(toIndentedString(transactionLocationId)).append("\n");
    sb.append("    amountMoney: ").append(toIndentedString(amountMoney)).append("\n");
    sb.append("    createdAt: ").append(toIndentedString(createdAt)).append("\n");
    sb.append("    refunds: ").append(toIndentedString(refunds)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

