/*
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package com.squareup.connect.models;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * V1OrderHistoryEntry
 */

public class V1OrderHistoryEntry {
  /**
   * The type of action performed on the order.
   */
  public enum ActionEnum {
    ORDER_PLACED("ORDER_PLACED"),
    
    DECLINED("DECLINED"),
    
    PAYMENT_RECEIVED("PAYMENT_RECEIVED"),
    
    CANCELED("CANCELED"),
    
    COMPLETED("COMPLETED"),
    
    REFUNDED("REFUNDED"),
    
    EXPIRED("EXPIRED");

    private String value;

    ActionEnum(String value) {
      this.value = value;
    }

    @Override
    public String toString() {
      return String.valueOf(value);
    }

    @JsonCreator
    public static ActionEnum fromValue(String text) {
      for (ActionEnum b : ActionEnum.values()) {
        if (String.valueOf(b.value).equals(text)) {
          return b;
        }
      }
      return null;
    }
  }

  @JsonProperty("action")
  private ActionEnum action = null;

  @JsonProperty("created_at")
  private String createdAt = null;

  public V1OrderHistoryEntry action(ActionEnum action) {
    this.action = action;
    return this;
  }

   /**
   * The type of action performed on the order.
   * @return action
  **/
  @ApiModelProperty(value = "The type of action performed on the order.")
  public ActionEnum getAction() {
    return action;
  }

  public void setAction(ActionEnum action) {
    this.action = action;
  }

  public V1OrderHistoryEntry createdAt(String createdAt) {
    this.createdAt = createdAt;
    return this;
  }

   /**
   * The time when the action was performed, in ISO 8601 format.
   * @return createdAt
  **/
  @ApiModelProperty(value = "The time when the action was performed, in ISO 8601 format.")
  public String getCreatedAt() {
    return createdAt;
  }

  public void setCreatedAt(String createdAt) {
    this.createdAt = createdAt;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    V1OrderHistoryEntry v1OrderHistoryEntry = (V1OrderHistoryEntry) o;
    return Objects.equals(this.action, v1OrderHistoryEntry.action) &&
        Objects.equals(this.createdAt, v1OrderHistoryEntry.createdAt);
  }

  @Override
  public int hashCode() {
    return Objects.hash(action, createdAt);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class V1OrderHistoryEntry {\n");
    
    sb.append("    action: ").append(toIndentedString(action)).append("\n");
    sb.append("    createdAt: ").append(toIndentedString(createdAt)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
  
}

